! ----------------------------------------------------------------------------------
! COMMAND_IT.H
! Un semplice menu di aiuto dei comandi
! di Vincenzo Scarpa - settembre 2005
! aggiornato a Infit 2.5 (c) Giovanni Riccardi
! 
! Deve essere inclusa subito dopo la Dmenus_it.h
! 
! Utilizzo: digitare la parola COMANDI, premere la barra spaziatrice e selezionare
!           il comando interessato. Per maggiori informazioni guardare il listato 
!           dell'esempio d'utilizzo.
! ----------------------------------------------------------------------------------

[ CommandSub;
  style bold;
  print "ATTENZIONE: i comandi elencati sono quelli previsti di default dalla libreria
         italiana (Infit 2.5 (c) Giovanni Riccardi). Ulteriori comandi del gioco (come 
         ad esempio 'FOTOGRAFA' in Ruins) non sono qui compresi.";
  style roman;
  print "^^[Premi un tasto per continuare]^^";
  KeyCharPrimitive();
  ShowMenu(command_menu); 
];

Menu command_menu "Lista dei comandi disponibili:";

! ------------------------ Comandi inizianti per A ----------------------------
Menu -> "A";

Object -> -> Abbrac "ABBRACCIA"
  with description "abbraccia la ragazza";

Object -> -> Accar "ACCAREZZA"
  with description "accarezza il cavallo";

Object -> -> Accen "ACCENDI"
  with description "accendi la lampada";

Object -> -> Affer "AFFERRA"
  with description "afferra la maniglia";

Object -> -> Affett "AFFETTA"
  with description "affetta il salame";
  
Object -> -> Agit "AGITA"
  with description "agita la lattina";

Object -> -> Ammaz "AMMAZZA"
  with description "ammazza il drago^ammazza il drago con la spada";
  
Object -> -> Ancor "ANCORA (*)"
  with description "Ripete il comando digitato in precedenza.^
                    Es.: ancora";

Object -> -> Annod "ANNODA"
  with description "annoda la corda al gancio";
  
Object -> -> Annus "ANNUSA"
  with description "annusa l'aria";
  
Object -> -> Apr "APRI"
  with description "apri la porta^apri la porta con la chiave";
  
Object -> -> Arramp "ARRAMPICATI"
  with description "arrampicati sull'albero";

Object -> -> Ascolt "ASCOLTA"
  with description "ascolta";

Object -> -> Aspet "ASPETTA"
  with description "aspetta^z";

Object -> -> Assag "ASSAGGIA"
  with description "assaggia la minestra";

Object -> -> Attac "ATTACCA"
  with description "attacca il drago^attacca il drago con la spada^
          attacca il quadro alla parete";

Object -> -> Attiv "ATTIVA"
  with description "attiva l'allarme";
       
! ------------------------ Comandi inizianti per B ----------------------------
Menu -> "B";

Object -> -> Baci "BACIA"
  with description "bacia la ragazza";
  
Object -> -> Bev "BEVI"
  with description "bevi l'acqua";
  
Object -> -> Bloc "BLOCCA"
  with description "blocca la porta con il paletto";
  
Object -> -> Bruc "BRUCIA"
  with description "brucia il giornale";  
  
! ------------------------ Comandi inizianti per C ----------------------------
Menu -> "C";

Object -> -> Camm "CAMMINA"
  with description "cammina verso sud";

Object -> -> Cant "CANTA"
  with description "canta";
  
Object -> -> Caric "CARICA (*)"
  with description "Carica una posizione precedentemente salvata.^
                    Es: carica - caricare^^
                    N. B.: @`e molto utile far seguire questo comando da guarda (o g)
                    per stampare a video la descrizione della stanza.";

Object -> -> Cerc "CERCA"
  with description "cerca nella cassa^cerca freccia nel dizionario";
  
Object -> -> Chied "CHIEDI"
  with description "chiedi al sacerdote delle rovine^chiedi al sacerdote 
          il dizionario";
  
Object -> -> Chiud "CHIUDI"
  with description "chiudi la porta^chiudi la porta a chiave";
  
Object -> -> Colp "COLPISCI"
  with description "colpisci il nano^colpisci il nano con l'ascia";
  
Object -> -> Cons "CONSULTA"
  with description "consulta il dizionario sul simbolo";
  
Object -> -> Combat "COMBATTI"
  with description "combatti con il drago^combatti il drago con la spada";
  
Object -> -> Compr "COMPRA"
  with description "compra i pasticcini";
  
Object -> -> Corr "CORRI"
  with description "corri nella casa^corri sulla collina^corri fuori^
           corri dentro^corri nella casa^corri verso nord^corri a nord";
  
! ------------------------ Comandi inizianti per D ----------------------------
Menu -> "D";

Object -> -> Da "DAI"
  with description "dai una moneta al mendicante";
  
Object -> -> Disat "DISATTIVA"
  with description "disattiva l'allarme";
  
Object -> -> Dorm "DORMI"
  with description "dormi";

! ------------------------ Comandi inizianti per E ----------------------------
Menu -> "E";

Object -> -> Entr "ENTRA"
  with description "entra nella caverna^entra dentro la caverna";
  
Object -> -> Esam "ESAMINA"
  with description "esamina la statua^x statua";
  
Object -> -> Esc "ESCI"
  with description "esci^esci dalla stanza";

! ------------------------ Comandi inizianti per F ----------------------------
Menu -> "F";

Object -> -> Fa "FAI"
  with description "fai l'inventario^fai vedere alla mummia il giornale";

Object -> -> Fin "FINE (*)"
  with description "Termina la partita in corso.^Es: fine - q^^
                    Varianti possibili: basta - uscire";

Object -> -> Fiss "FISSA"
  with description "fissa la corda al gancio";

! ------------------------ Comandi inizianti per G ----------------------------
Menu -> "G";

Object -> -> Gir "GIRA"
  with description "gira la manopola";

Object -> -> Guard "GUARDA"
  with description "guarda nella cassa^guarda dentro la cassa^ 
            guarda sotto il letto";

Object -> -> Guard2 "GUARDA (*)"
  with description "Stampa a video la descrizione della stanza.^
                    Es: guarda - g^^N. B.: @`e molto utile dopo il caricamento della
                    posizione salvata o quando il giocatore si trova in una stanza 
                    gi@`a visitata.";

! ------------------------ Comandi inizianti per I ----------------------------
Menu -> "I";

Object -> -> Inser "INSERISCI"
  with description "inserisci la chiave nella serratura";

Object -> -> Incen "INCENDIA"
  with description "incendia la casa";

Object -> -> Indos "INDOSSA"
  with description "indossa la maschera";
  
Object -> -> Inven "INVENTARIO (*)"
  with description "Mostra la lista di tutti gli oggetti posseduti dal giocatore.^
  Es.: inventario - inv - i^^
  Varianti possibili: inventario esteso - inventario completo";

! ------------------------ Comandi inizianti per L ----------------------------
Menu -> "L";

Object -> -> Lanc "LANCIA"
  with description "lancia l'osso al cane";

Object -> -> Lasc "LASCIA"
  with description "lascia il giornale";

Object -> -> Leg "LEGA"
  with description "lega la corda al gancio";
  
Object -> -> Leggi "LEGGI"
  with description "leggi il giornale";
  
Object -> -> Lucid "LUCIDA"
  with description "lucida la carrozzeria";
  
Object -> -> Lustr "LUSTRA"
  with description "lustra le monete";

! ------------------------ Comandi inizianti per M ----------------------------
Menu -> "M";

Object -> -> Mang "MANGIA"
  with description "mangia il fungo";
  
Object -> -> Mett "METTI"
  with description "metti la chiave nella serratura^metti la maschera sull'altare";

Object -> -> ModalB "MODALIT@`A BREVE (*)"
  with description "D@`a descrizioni brevi per tutti i luoghi, anche se mai visitati.^
                    Es.: modalit@`a breve^^
                    N. B.: da non usare con la libreria sgw.h (dedicata a Glulx).";
                    
Object -> -> ModalN "MODALIT@`A NORMALE (*)"
  with description "D@`a descrizioni lunghe per i luoghi mai visitati prima e brevi se gi@`a visitati.^
                    Es.: modalit@`a normale^^
                    N. B.: @`e quella attiva di default.";

Object -> -> ModalC "MODALIT@`A COMPLETA (*)"
  with description "D@`a descrizioni lunghe per tutti i luoghi, anche se gi@`a visitati^
                    Es.: modalit@`a completa";

! ------------------------ Comandi inizianti per N ----------------------------
Menu -> "N";

Object -> -> Notif "NOTIFY ON/OFF (*)"
  with description "Viene attivata (NOTIFY ON) o disattivata (NOTIFY OFF) la notifica 
                    del punteggio. In poche parole, questo comando fa in modo che 
                    Inform, nella modalit completa del punteggio, visualizzi o meno 
                    il messaggio standard [Il tuo punteggio @`e appena aumentato di 
                    |n| punti.].";
                    
Object -> -> Nuot "NUOTA"
  with description "nuota^nuota verso il castello";

! ------------------------ Comandi inizianti per O ----------------------------
Menu -> "O";

Object -> -> Offr "OFFRI"
  with description "offri una moneta al mendicante";
  
Object -> -> Ogg "OGGETTI (*)"
  with description "Vengono stampati a video i nomi di tutti gli oggetti posseduti 
  nel corso del gioco.^Es.: oggetti";
  
Object -> -> Ord "ORDINA"
  with description "sacerdote, vai a sud";

! ------------------------ Comandi inizianti per P ----------------------------
Menu -> "P";

Object -> -> Parl "PARLA"
  with description "parla con il sacerdote^parla con il sacerdote delle rovine";
  
Object -> -> Pel "PELA"
  with description "pela le patate";

Object -> -> Pens "PENSA"
  with description "pensa";
  
Object -> -> Picc "PICCHIA"
  with description "picchia il nano^picchia il nano con la mazza";
  
Object -> -> Pos "POSA"
  with description "posa il giornale^posa il giornale nella cassa^posa il giornale
          sul tavolo";
          
Object -> -> Post "POSTI (*)"
  with description "Vengono stampati a video i nomi di tutte le locazioni visitate 
        fino al momento dell'immissione del comando stesso.^
        Es.: posti - luoghi";
        
Object -> -> Preg "PREGA"
  with description "prega";

Object -> -> Prem "PREMI"
  with description "premi il pulsante";
  
Object -> -> Prend "PRENDI"
  with description "prendi la maschera^prendi il biscotto dalla scatola";

Object -> -> Pron "PRONOMI (*)"
  with description "Vengono stampate a video delle informazioni relative ai pronomi 
       (attivati o disattivati) usati da Inform nella stanza in cui il giocatore si 
       trova al momento in cui viene dato il comando.^
       Es.: pronomi";
       
Object -> -> Pulisc "PULISCI"
  with description "pulisci il tavolo";

Object -> -> Punt "PUNTEGGIO (*)"
  with description "Stampa a video il punteggio (se previsto dal gioco).^
  Es.: punteggio^^
  Varianti possibili: punteggio completo - punteggio pieno";

! ------------------------ Comandi inizianti per R ----------------------------
Menu -> "R";

Object -> -> Racc "RACCOGLI"
  with description "raccogli la moneta";
  
Object -> -> Record "RECORDING ON/OFF (*)"
  with description "Viene attivata (RECORDING ON) o disattivata (RECORDING OFF) 
          la trascrizione dei comandi inseriti in un file Script (un file di testo 
          con lestensione .rec).";
          
Object -> -> Repl "REPLAY (*)"
  with description "Apre il file con l'estensione .rec; prima di eseguire i comandi 
          in esso contenuti, Inform chiede al giocatore se vuole o meno una pausa a 
           fine pagina durante lo scorrimento del testo (Do you want MORE prompts? 
           (y/n)) a cui deve seguire, se @`e attiva quest'ultima, la pressione di un
           tasto qualsiasi da parte dell'utente.^
           Es.: replay";
           
Object -> -> Ricom "RICOMINCIA (*)"
  with description "Per reiniziare una partita in corso.^
  Es.: ricomincia - ricominciare";
  
Object -> -> Riemp "RIEMPI"
  with description "riempi la bottiglia";
  
Object -> -> Rifl "RIFLETTI"
  with description "rifletti";
  
Object -> -> Rimuov "RIMUOVI"
  with description "rimuovi il giornale^rimuovi il giornale dalla cassa";

Object -> -> Risp "RISPONDI"
  with description "rispondi s@`i al nano";
  
Object -> -> Romp "ROMPI"
  with description "rompi il vetro^rompi il vetro con il martello";
  
Object -> -> Rovesc "ROVESCIA"
  with description "rovescia la carta^rovescia il vino sulla tovaglia";
  
Object -> -> Ruot "RUOTA"
  with description "ruota la manopola";
  
! ------------------------ Comandi inizianti per S ----------------------------
Menu -> "S";

Object -> -> Sal "SALI"
  with description "sali sulla scala";

Object -> -> Salt "SALTA"
  with description "salta^salta il baratro";
  
Object -> -> Salut "SALUTA"
  with description "saluta il nano";
  
Object -> -> Salv "SALVA (*)"
  with description "Salva la partita in corso.^
  Es.: salva - salvare";

Object -> -> Sbloc "SBLOCCA"
  with description "sblocca la serratura con il grimaldello";
  
Object -> -> Sbuc "SBUCCIA"
  with description "sbuccia la mela";
  
Object -> -> Scass "SCASSINA"
  with description "scassina la serratura con il grimaldello";
  
Object -> -> Scav "SCAVA"
  with description "scava la fossa con la pala";
  
Object -> -> Scend "SCENDI"
  with description "scendi dal tavolo";
  
Object -> -> Schiac "SCHIACCIA"
  with description "schiaccia il pulsante";

Object -> -> Scrip "SCRIPT ON/OFF (*)"
  with description "Vedi TRANSCRIPT ON/OFF.";
          
Object -> -> Scuot "SCUOTI"
  with description "scuoti l'albero";
  
Object -> -> Sdraiat "SDRAIATI"
  with description "sdraiati^sdraiati sul divano";
  
Object -> -> Serr "SERRA"
  with description "serra la porta con il paletto";
  
Object -> -> Sied "SIEDITI"
  with description "siediti^siediti sulla sedia";
  
Object -> -> Soff "SOFFIA"
  with description "soffia nel fischietto";
  
Object -> -> Sors "SORSEGGIA"
  with description "sorseggia l'aperitivo";
  
Object -> -> Spac "SPACCA"
  with description "spacca il vetro";
  
Object -> -> Spegn "SPEGNI"
  with description "spegni la lampada";
  
Object -> -> Sping "SPINGI"
  with description "spingi il tavolo^spingi il tavolo a sud^spingi il tavolo 
         verso sud";
         
Object -> -> Spolv "SPOLVERA"
  with description "spolvera il tavolo";
  
Object -> -> Spost "SPOSTA"
  with description "sposta il tavolo^sposta le uova nella cesta";
  
Object -> -> Sprem "SPREMI"
  with description "spremi il limone";
  
Object -> -> Schia "SCHIACCIA"
  with description "schiaccia il pulsante";
  
Object -> -> Sta "STAI"
  with description "stai nell'edificio";

Object -> -> Strap "STRAPPA"
  with description "strappa la carta";
  
Object -> -> Strof "STROFINA"
  with description "strofina la lampada";
  
Object -> -> Sveg "SVEGLIA"
  with description "svegliati^sveglia il nano";
  
Object -> -> Svuot "SVUOTA"
  with description "svuota il sacco^svuota il sacco nella cassa";
  
! ------------------------ Comandi inizianti per T ----------------------------
Menu -> "T";

Object -> -> Tagli "TAGLIA"
  with description "taglia la carta con le forbici";
  
Object -> -> Tira "TIRA"
  with description "tira la corda";
  
Object -> -> Tocc "TOCCA"
  with description "tocca il dipinto";
  
Object -> -> Togl "TOGLI"
  with description "togli la maschera";
  
Object -> -> Tortur "TORTURA"
  with description "tortura il sacerdote^tortura il sacerdote con la frusta";
  
Object -> -> Trasc "TRASCINA"
  with description "trascina il sacco";
  
Object -> -> TScrip "TRANSCRIPT ON/OFF (*)"
  with description "Viene attivata (TRANSCRIPT ON) o disattivata (TRANSCRIPT OFF) la 
        trascrizione del testo del gioco in un file Script (un file di testo con 
        l'estensione .log apribile tranquillamente da qualsiasi editor di testo).";
  
Object -> -> Trasf "TRASFERISCI"
  with description "trasferisci le uova nella cesta";
  
Object -> -> Trov "TROVA"
  with description "trova nella cassa";

! ------------------------ Comandi inizianti per U ----------------------------
Menu -> "U";

Object -> -> Uccid "UCCIDI"
  with description "uccidi il drago^uccidi il drago con la spada";

Object -> -> Unisc "UNISCI"
  with description "unisci la corda al gancio";

! ------------------------ Comandi inizianti per V ----------------------------
Menu -> "V";

Object -> -> Va "VAI"
  with description "vai fuori^vai dentro^vai sopra il tavolo^vai a nord^vai verso 
      nord";
       
Object -> -> Verif "VERIFICA (*)"
  with description "Verifica lintegrit o meno del file di gioco.^
      Es.: verifica - verificare";
      
Object -> -> Vers "VERSA"
  with description "versa il vino nel bicchiere";
  
Object -> -> Versio "VERSIONE (*)"
  with description "Vengono stampate a video delle informazioni relative alle versioni 
      delle librerie di sistema, dell'interprete standard e di Infit.^
      Es.: versione";

Verb meta 'comando' 'comandi'  *                                -> Command;

